Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.entity
Class BatchingEntityLoader

    java.lang.Object
      org.hibernate.loader.entity.BatchingEntityLoader

All Implemented Interfaces:
  UniqueEntityLoader

    public class BatchingEntityLoader

extends Object
implements UniqueEntityLoader

"Batch" loads entities, using multiple primary key values in the SQL `where` clause.

Author:
  Gavin King
See Also:
  `EntityLoader`

Constructor Summary
`BatchingEntityLoader(EntityPersister persister, int[] batchSizes, Loader[] loaders)`

Method Summary
`static UniqueEntityLoader` | `createBatchingEntityLoader(OuterJoinLoadable persister, int maxBatchSize, LockMode lockMode, SessionFactoryImplementor factory, Map enabledFilters)`
`Object` | `load(Serializable id, Object optionalObject, SessionImplementor session)` Load an entity instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchingEntityLoader

    public BatchingEntityLoader(EntityPersister persister,
                                int[] batchSizes,
                                Loader[] loaders)

Method Detail

### load

    public Object load(Serializable id,
                       Object optionalObject,
                       SessionImplementor session)
                throws HibernateException

  Description copied from interface: `UniqueEntityLoader`
  Load an entity instance. If `optionalObject` is supplied, load the entity state into the given (uninitialized) object.

  Specified by:
    `load` in interface `UniqueEntityLoader`
  Throws:
    `HibernateException`

### createBatchingEntityLoader

    public static UniqueEntityLoader createBatchingEntityLoader(OuterJoinLoadable persister,
                                                                int maxBatchSize,
                                                                LockMode lockMode,
                                                                SessionFactoryImplementor factory,
                                                                Map enabledFilters)
                                                         throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD